TREC 2001 VideoTrack: Shot Boundary Task Evaluation: Class ComparisonManager

Class | Tree | Deprecated | Index | Help
| Shot Boundary Task Evaluation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class ComparisonManager

    java.lang.Object
      |
      +--ComparisonManager

public class ComparisonManager
extends java.lang.Object

This class is the main in processing the comparison of a system's shot boundaries segmentations and some references. It permit to launch the parsing of Xml files without worrying about parsing errors and also to process the comparison of system's parsed segmentations with reference segmentations.

Field Summary
`static java.lang.String` | `refDirName` The reference direcotry.

Constructor Summary
`ComparisonManager()`

Method Summary
`void` | `adjustSystemResult(int shiftingAmount)` Adjust the system transition's pre and post values according to the given shifting amount.
`protected static java.lang.String` | `getFullRefDirName()` Gets the full path to the reference directory.
`static void` | `main(java.lang.String[] argv)` Main entry point to the program.
`void` | `parseReference()` Launch the parsing of the file containing the Xml reference segmentations.
`void` | `parseReferenceFileNames(java.io.File referenceFileNamesFile)` Launch the parsing of the file containing the mapping between a video file name and an Xml segmentation reference file.
`void` | `parseResults(java.io.File systemResultsFile)` Launch the parsing of the file containing the results per system results.
`void` | `processComparison()` Process the comparison between the reference segmentations and each system segmentation.
`protected static void` | `setRefDirName(java.lang.String theRefDirName)` Overrule refDir, only if directory exists
`static void` | `usage()` Print usage message

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### refDirName

    public static java.lang.String refDirName

  The reference direcotry.

Constructor Detail

### ComparisonManager

    public ComparisonManager()

Method Detail

### getFullRefDirName

    protected static java.lang.String getFullRefDirName()

  Gets the full path to the reference directory.

### setRefDirName

    protected static void setRefDirName(java.lang.String theRefDirName)

  Overrule refDir, only if directory exists

### parseReferenceFileNames

    public void parseReferenceFileNames(java.io.File referenceFileNamesFile)

  Launch the parsing of the file containing the mapping between a video file name and an Xml segmentation reference file.
  Parameters:
    `File` - referenceFileNamesFile name of the file containing this informations

### parseReference

    public void parseReference()

  Launch the parsing of the file containing the Xml reference segmentations.

### parseResults

    public void parseResults(java.io.File systemResultsFile)

  Launch the parsing of the file containing the results per system results.
  Parameters:
    `systemResultsFile` - name of the file containing this information.

### processComparison

    public void processComparison()
                           throws java.lang.Exception

  Process the comparison between the reference segmentations and each system segmentation.

### adjustSystemResult

    public void adjustSystemResult(int shiftingAmount)
                            throws java.lang.Exception

  Adjust the system transition's pre and post values according to the given shifting amount.

### usage

    public static void usage()

  Print usage message

### main

    public static void main(java.lang.String[] argv)

  Main entry point to the program.

Class | Tree | Deprecated | Index | Help
| Shot Boundary Task Evaluation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For information over@nist.gov or rtaban@nist.gov